#
# spec file for package libfunambol
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright Sascha Peilicke <sasch.pe@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libfunambol
Version:        9.0.1
Release:        19.1
Summary:        C++ SyncML Client Engine
License:        AGPL-3.0
Group:          Development/Libraries/C and C++
URL:            http://funambol.com
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ libcurl-devel
BuildRequires:  libtool

%description
Libfunambol allows to integrate a SyncML stack in a C++ application on a
variety of platforms. Currently, Windows, Windows Mobile and Linux, Mac OS X,
iPhone and Symbian are actively supported, but you can easily build it on other
Unixes or other mobile/embedded platforms.

%package -n %{name}9
Summary:        C++ SyncML Client Engine
Group:          System/Libraries

%description -n %{name}9
Libfunambol allows to integrate a SyncML stack in a C++ application on a
variety of platforms. Currently, Windows, Windows Mobile and Linux, Mac OS X,
iPhone and Symbian are actively supported, but you can easily build it on other
Unixes or other mobile/embedded platforms.

%package devel
License:        AGPL-3.0
Summary:        C++ SyncML Client Engine
Group:          Development/Libraries/C and C++
Requires:       %{name}9 >= %{version} libcurl-devel

%description devel
This package contains all necessary include files and libraries needed
to compile and develop applications that use libfunambol.

%prep
%setup -q 

%build
cd build/autotools
sh autogen.sh
%configure --disable-static --with-pic --disable-unit-tests --disable-integration-tests
%{__make} %{?jobs:-j%jobs}

%install
cd build/autotools
%makeinstall
cd ../..
# remove unneeded files
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} -rf $RPM_BUILD_ROOT%{_includedir}/funambol/test
# install additional documentation
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}9
install -m 0644 {LICENSE,TODO,changeslog}.txt README $RPM_BUILD_ROOT%{_docdir}/%{name}9
install -m 0644 docs/funambol-cppsdk-tutorial.pdf $RPM_BUILD_ROOT%{_docdir}/%{name}9
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}9/html
install -m 0644 docs/html/* $RPM_BUILD_ROOT%{_docdir}/%{name}9/html

%post -n %{name}9 -p /sbin/ldconfig

%postun -n %{name}9 -p /sbin/ldconfig

%files -n %{name}9
%defattr (-,root,root)
%doc LICENSE.txt
%{_libdir}/%{name}-9.0.1.so

%files devel
%defattr (-,root,root)
%{_includedir}/funambol
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/libfunambol.pc
%doc TODO.txt changeslog.txt README docs/funambol-cppsdk-tutorial.pdf docs/html

%changelog
* Sun Nov 13 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
* Sun Nov 13 2011 coolo@suse.com
- add libtool as explicit buildrequire to avoid implicit dependency from prjconf
* Wed Feb 16 2011 alinm.elena@gmail.com
- update to v 9.0 , see changeslog.txt
* Wed Aug 25 2010 sasch.pe@gmx.de
- added license file to the sharedlib package and additional
  documentation to the devel package
- removed installed unit-test files
* Wed Jun  2 2010 sasch.pe@gmx.de
- changed to version 8.0.5 (according to changelog)
- made devel package depend on SONAME version 7
* Tue Apr 20 2010 sasch.pe@gmx.de
- updated to upstream version 8.0.1
* Sat Jul  4 2009 sasch.pe@gmx.de
- initial checkin of version 7.1.0
